@ECHO OFF

SETLOCAL ENABLEDELAYEDEXPANSION

TITLE Mikinho - Digital Cable Advisor Override

ECHO.
ECHO Mikinho - Digital Cable Advisor Override
ECHO.
ECHO http://www.missingremote.com/
ECHO.
ECHO This script must be run as an Administrator.
ECHO To open an elevated command prompt with Administrator privileges
ECHO press WinKey, typ cmd, and hit Ctrl+Shift+Enter.
ECHO.

SET HasAdminRights=0
FOR /F %%i IN ('WHOAMI /PRIV /NH') DO (
	IF "%%i"=="SeTakeOwnershipPrivilege" SET HasAdminRights=1
)

IF NOT %HasAdminRights%==1 (
	ECHO.
	ECHO ERROR: This script must be run as an Administrator.
	ECHO.

	GOTO END
)

IF NOT EXIST "%SystemRoot%\assembly\GAC_MSIL\UpdateMachineForDigitalCable" (
	GOTO NODCA
)


FOR /F %%I IN ('DIR /B /S C:\Windows\assembly\GAC_MSIL\UpdateMachineForDigitalCable\UpdateMachineForDigitalCable.exe') DO (
	START /WAIT %%I
	GOTO FOUND
)

:NODCA

ECHO.
ECHO ERROR: UpdateMachineForDigitalCable NOT Found. Do you have it installed?
ECHO.

GOTO END

:FOUND

ECHO.
ECHO SUCCESS: Digital Cable Advisor (DCA) set to PASS. Please run Digital Cable Advisor to complete.
ECHO.

:END

ENDLOCAL

PAUSE